Bug 106885 - [CI][SHARDS] igt@kms_plane@pixel-format-pipe-[abc]-planes|igt@kms_rotation_crc@ - dmesg-warn|dmesg-fail - *ERROR* Overflow of CRC buffer, userspace reads too slow.
Summary: [CI][SHARDS] igt@kms_plane@pixel-format-pipe-[abc]-planes|igt@kms_rotation_cr...
Status: RESOLVED MOVED
Alias: None
Product: DRI
Classification: Unclassified
Component: IGT (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Maarten Lankhorst
QA Contact:
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks: 110040
  Show dependency treegraph
 
Reported: 2018-06-11 13:06 UTC by Martin Peres
Modified: 2019-11-15 08:02 UTC (History)
3 users (show)

See Also:
i915 platform: BSW/CHT, CNL, GLK, ICL, KBL, SKL
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 3 Martin Peres 2018-09-21 14:38:11 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_115/fi-skl-caroline/igt@kms_plane@pixel-format-pipe-b-planes.html

<3> [306.918597] [drm:drm_crtc_add_crc_entry] *ERROR* Overflow of CRC buffer, userspace reads too slow.
Comment 4 Jani Saarinen 2018-11-07 12:20:46 UTC
Not seen on ICL lately?
Comment 5 Martin Peres 2018-11-07 13:00:42 UTC
(In reply to Jani Saarinen from comment #4)
> Not seen on ICL lately?

Last seen in https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_117/fi-icl-u/igt@kms_plane@pixel-format-pipe-a-planes.html, after being seen every single drmtip run after drmtip_95 (introduction of ICL).

I guess this is sufficient to say that ICL is fixed.
Comment 6 Mika Kahola 2018-11-30 09:35:01 UTC
If this error is not seen regularly, maybe we could pump up a bit the size of a ringbuffer. Now, we have DRM_CRC_ENTRIES_NR defined as 128, so maybe we could increase it to 256?
Comment 7 Martin Peres 2018-11-30 13:13:02 UTC
(In reply to Mika Kahola from comment #6)
> If this error is not seen regularly, maybe we could pump up a bit the size
> of a ringbuffer. Now, we have DRM_CRC_ENTRIES_NR defined as 128, so maybe we
> could increase it to 256?

Are the CRCs per pipe or global? If it is per-pipe, then 128 CRCs @ 60 Hz is more than 2 seconds of not reading the crc... I would think that this ought to be sufficient and if it is not, we really need to look into why we have such latency in the userspace, don't you think? :o
Comment 9 Juha-Pekka Heikkilä 2018-12-13 11:50:23 UTC
(In reply to Martin Peres from comment #7)
> (In reply to Mika Kahola from comment #6)
> > If this error is not seen regularly, maybe we could pump up a bit the size
> > of a ringbuffer. Now, we have DRM_CRC_ENTRIES_NR defined as 128, so maybe we
> > could increase it to 256?
> 
> Are the CRCs per pipe or global? If it is per-pipe, then 128 CRCs @ 60 Hz is
> more than 2 seconds of not reading the crc... I would think that this ought
> to be sufficient and if it is not, we really need to look into why we have
> such latency in the userspace, don't you think? :o

The latency would be from the combination of things; IGT by default is compiled with no optimizations switched on, used framebuffer sizes are quite big (3840x2160 for example), and because lack of YUV support in cairo there's in IGT conversions back'n'forth RGB<->YUV..all this combined probably can build up to 2s wait.

One could try putting some "#pragma GCC optimize ("O3")" around those conversion functions "static void convert_XXX_to_XXX(struct fb_convert *cvt)" found in igt_fb.c, though I think this is just painting over the problem.

Other solution would be starting/stopping crc when crc is really needed but it would slow down tests in kms_plane even more.
Comment 10 Martin Peres 2018-12-17 17:27:16 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5313/shard-iclb7/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html

Starting subtest: pixel-format-pipe-A-planes-source-clamping
(kms_plane:8972) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:419:
(kms_plane:8972) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest pixel-format-pipe-A-planes-source-clamping failed.

<3> [1494.718728] [drm:drm_crtc_add_crc_entry] *ERROR* Overflow of CRC buffer, userspace reads too slow.
<3> [1519.117242] [drm:drm_crtc_add_crc_entry] *ERROR* Overflow of CRC buffer, userspace reads too slow.
<3> [1542.905928] [drm:drm_crtc_add_crc_entry] *ERROR* Overflow of CRC buffer, userspace reads too slow.
Comment 11 CI Bug Log 2019-02-19 09:00:53 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW SKL KBL GLK CNL ICL: igt@kms_plane@pixel-format-pipe-[abc]-planes.* - *ERROR* Overflow of CRC buffer, userspace reads too slow. -}
{+ BSW SKL KBL GLK CNL ICL: igt@kms_plane@pixel-format-pipe-[abc]-planes.*|kms_rotation_crc@primary-* - *ERROR* Overflow of CRC buffer, userspace reads too slow. +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_221/fi-icl-u3/igt@kms_rotation_crc@primary-x-tiled-reflect-x-0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_221/fi-icl-u3/igt@kms_rotation_crc@primary-yf-tiled-reflect-x-0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_224/fi-icl-u3/igt@kms_rotation_crc@primary-y-tiled-reflect-x-270.html
Comment 12 Maarten Lankhorst 2019-02-27 12:31:59 UTC
https://patchwork.freedesktop.org/series/54364/
Comment 13 CI Bug Log 2019-02-28 13:52:41 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW SKL KBL GLK CNL ICL: igt@kms_plane@pixel-format-pipe-[abc]-planes.*|kms_rotation_crc@primary-* - *ERROR* Overflow of CRC buffer, userspace reads too slow. -}
{+ BSW SKL KBL GLK CNL ICL: igt@kms_plane@pixel-format-pipe-[abc]-planes.*|kms_rotation_crc@-* - *ERROR* Overflow of CRC buffer, userspace reads too slow. +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_232/fi-icl-u3/igt@kms_rotation_crc@sprite-rotation-90.html
Comment 14 Maarten Lankhorst 2019-03-20 12:11:43 UTC
commit b25e06d6ddf2e42044cd9c93b613cbc7339a8c33
Author: Maarten Lankhorst <maarten.lankhorst@linux.intel.com>
Date:   Thu Mar 7 12:54:11 2019 +0100

    tests/kms_plane: Reduce execution time by reducing source size and performing upscaling.
Comment 15 Martin Peres 2019-03-21 12:09:59 UTC
(In reply to Maarten Lankhorst from comment #14)
> commit b25e06d6ddf2e42044cd9c93b613cbc7339a8c33
> Author: Maarten Lankhorst <maarten.lankhorst@linux.intel.com>
> Date:   Thu Mar 7 12:54:11 2019 +0100
> 
>     tests/kms_plane: Reduce execution time by reducing source size and
> performing upscaling.

Thanks! I am still re-opening because kms_rotation_crc has not been fixed yet.
Comment 16 Jani Saarinen 2019-04-10 08:47:29 UTC
On ICL we are updating newer BIOS that should help here. To be seen...
Comment 17 Jani Saarinen 2019-04-10 08:48:49 UTC
Not seen on ICL-U2/U3 lately that already has new BIOS
Comment 18 Arek Hiler 2019-04-10 08:50:41 UTC
It's an IGT issue as we use inefficient ways of generating FBs which take too much time, while CRC machinery is up making us overflow the CRC buffer.

The impact on users is negligible - this is just dmesg warn telling our tests that we are too slow on readout, other than that the test is passing.

Requires test improvements.
Comment 19 CI Bug Log 2019-05-07 10:04:51 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL: igt@kms_rotation_crc@primary-rotation-90 - crash - *ERROR* Overflow of CRC buffer, userspace reads too slow.
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_277/fi-icl-y/igt@kms_rotation_crc@primary-rotation-90.html
Comment 20 Jani Saarinen 2019-05-07 12:43:02 UTC
Also on ICL-Y BIOS update made to DMI: Intel Corporation Ice Lake Client Platform/IceLake Y LPDDR4x T4 RVP TLC, BIOS ICLSFWR1.R00.3162.A00.1904162000 04/16/2019
Comment 21 CI Bug Log 2019-05-23 15:16:28 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW SKL KBL GLK CNL ICL: igt@kms_plane@pixel-format-pipe-[abc]-planes.*|kms_rotation_crc@-* - *ERROR* Overflow of CRC buffer, userspace reads too slow. -}
{+ BSW APL SKL KBL GLK CNL ICL: igt@kms_plane@pixel-format-pipe-[abc]-planes.*|kms_rotation_crc@-*|igt@kms_plane_multiple@* - *ERROR* Overflow of CRC buffer, userspace reads too slow. +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_289/fi-apl-guc/igt@kms_plane_multiple@atomic-pipe-c-tiling-yf.html
Comment 22 CI Bug Log 2019-08-12 10:28:08 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW APL SKL KBL GLK CNL ICL: igt@kms_plane@pixel-format-pipe-[abc]-planes.*|kms_rotation_crc@-*|igt@kms_plane_multiple@* - *ERROR* Overflow of CRC buffer, userspace reads too slow. -}
{+ BYT BSW APL SKL KBL GLK CNL ICL: igt@kms_plane@pixel-format-pipe-[abc]-planes.*|kms_rotation_crc@-*|igt@kms_plane_multiple@* - *ERROR* Overflow of CRC buffer, userspace reads too slow. +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_339/fi-byt-n2820/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
Comment 23 CI Bug Log 2019-10-22 18:06:12 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BYT BSW APL SKL KBL GLK CNL ICL: igt@kms_plane@pixel-format-pipe-[abc]-planes.*|kms_rotation_crc@-*|igt@kms_plane_multiple@* - *ERROR* Overflow of CRC buffer, userspace reads too slow. -}
{+ BYT BSW APL SKL KBL GLK CNL ICL TGL: igt@kms_*- *ERROR* Overflow of CRC buffer, userspace reads too slow. +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7104/re-tgl-u/igt@kms_plane_lowres@pipe-a-tiling-y.html
Comment 24 Martin Peres 2019-11-12 08:24:06 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/drm/igt-gpu-tools/issues/6.
Comment 25 CI Bug Log 2019-11-12 08:52:05 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BYT BSW APL SKL KBL GLK CNL ICL TGL: igt@kms_*- *ERROR* Overflow of CRC buffer, userspace reads too slow. -}
{+ BYT BSW APL SKL KBL GLK CNL ICL TGL: igt@kms_*- *ERROR* Overflow of CRC buffer, userspace reads too slow. +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7299/shard-apl6/igt@kms_cursor_legacy@flip-vs-cursor-busy-crc-legacy.html
Comment 26 CI Bug Log 2019-11-15 08:02:47 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BYT BSW APL SKL KBL GLK CNL ICL TGL: igt@kms_*- *ERROR* Overflow of CRC buffer, userspace reads too slow. -}
{+ BYT BSW APL SKL KBL GLK CNL ICL TGL: igt@kms_*- *ERROR* Overflow of CRC buffer, userspace reads too slow. +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7325/re-tgl-y/igt@kms_plane_multiple@atomic-pipe-d-tiling-y.html


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.